#include <iostream>

using std::cout, std::endl;

struct Book {
    char title[100];
    int pages;
    float price;
};

void addPrice(Book& b, float x) {
    b.price += x;
}

int main() {
    Book b = {"One Hundred Years of Solitude", 456, 1200};
    float x = 15.6;
    addPrice(b, x);
    cout << b.price << endl;
}
